pub struct FontManager {
    fonts: Vec<Font>,
}

impl FontManager {
    pub fn new() -> Self {
        Self { fonts: Vec::new() }
    }

    pub fn add_font(&mut self, font: Font) {
        self.fonts.push(font);
    }
}

pub struct Font {}
